summaryrefslogtreecommitdiffstatshomepage
path: root/3rdparty/zstd/tests/cli-tests/zstd-symlinks
diff options
context:
space:
mode:
Diffstat (limited to '3rdparty/zstd/tests/cli-tests/zstd-symlinks')
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/zstd-symlinks/setup6
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/zstd-symlinks/zstdcat.sh12
-rw-r--r--3rdparty/zstd/tests/cli-tests/zstd-symlinks/zstdcat.sh.stdout.exact8
3 files changed, 26 insertions, 0 deletions
diff --git a/3rdparty/zstd/tests/cli-tests/zstd-symlinks/setup b/3rdparty/zstd/tests/cli-tests/zstd-symlinks/setup
new file mode 100755
index 00000000000..cf391ed2117
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/zstd-symlinks/setup
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+
+println "hello" > hello
+println "world" > world
+zstd hello world
diff --git a/3rdparty/zstd/tests/cli-tests/zstd-symlinks/zstdcat.sh b/3rdparty/zstd/tests/cli-tests/zstd-symlinks/zstdcat.sh
new file mode 100755
index 00000000000..74ec063d13c
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/zstd-symlinks/zstdcat.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+# Test zstdcat symlink in bin/
+zstdcat hello.zst
+zstdcat hello.zst world
+zstdcat hello world.zst
+zstdcat hello.zst world.zst
+
+# Test local zstdcat symlink
+ln -s $(which zstd) ./zstdcat
+./zstdcat hello.zst
diff --git a/3rdparty/zstd/tests/cli-tests/zstd-symlinks/zstdcat.sh.stdout.exact b/3rdparty/zstd/tests/cli-tests/zstd-symlinks/zstdcat.sh.stdout.exact
new file mode 100644
index 00000000000..3205b059b34
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/zstd-symlinks/zstdcat.sh.stdout.exact
@@ -0,0 +1,8 @@
+hello
+hello
+world
+hello
+world
+hello
+world
+hello